Bug 1488991 - [HC][gfapi] Hosted engine deployment should enable gfapi access for cluster
Summary: [HC][gfapi] Hosted engine deployment should enable gfapi access for cluster
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhi-1.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1509967
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 14:47 UTC by Sahina Bose
Modified: 2019-07-10 07:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1471658
Environment:
Last Closed: 2019-07-10 07:02:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sahina Bose 2017-09-06 14:47:07 UTC
+++ This bug was initially created as a clone of Bug #1471658 +++

Description of problem:

The gfapi access at 4.1 is disabled by default. This is a setting at a cluster level, and enabled via the AdditionalFeature support at cluster level.

For the HC deployment, we want the gfapi access to be enabled for the "Default" cluster during HE deployment. 


Version-Release number of selected component (if applicable):
4.1

How reproducible:
NA


Additional info:
Could we have a configuration option that will set value for cluster in the database during HE deploy. If so, this option can be passed in the he-answers file from gdeploy.

--- Additional comment from Sandro Bonazzola on 2017-07-17 08:39:58 EDT ---

Moving to gluster team

--- Additional comment from Yaniv Kaul on 2017-08-14 05:42:01 EDT ---

Is it going to make it to 4.1.5?

--- Additional comment from Denis Chaplygin on 2017-08-16 08:57:50 EDT ---

Nope :( 4.1.6 looks more real

Comment 1 Sahina Bose 2017-10-13 12:04:37 UTC
Removing from 1.1 tracker as per program decision to have this feature as Tech Preview

Comment 2 RamaKasturi 2017-11-06 13:22:43 UTC
Removed dependency on 1471658 as this bug was only to provide the value which can be passed to gdeploy via he-answers or he-common.conf file.

Since we now have the option available and the fix needs to be in ovirt-cockpit gdeploy plugin i have raised a bug for the same and changed the depends field.

Comment 3 Sahina Bose 2019-07-10 07:02:05 UTC
No plans to enable libgfapi in RHHI-V for now. Closing this bug


Note You need to log in before you can comment on or make changes to this bug.